    # File SQLRelay.rb, line 135
      def []=(attr, value)

        # AutoCommit and sqlrelay_debug are supported by this driver
        case attr
        when 'AutoCommit'
          if value == true
            @handle.autoCommitOn
          else
            @handle.autoCommitOff
          end
        when 'sqlrelay_debug'
          if value == true
            @handle.debugOn
          else
            @handle.debugOff
          end
        else
          if attr =~ /^sqlrelay_/ or attr != /_/
            # raise and exception for unsupported or improperly formatted options
            raise DBI::NotSupportedError, "Option '#{attr}' not supported"
          else
            # option for some other driver - quietly ignore
            return
          end
        end
        @attr[attr] = value
      end